Subject: [Sip] DTLS-SRTP - more work for the SIP group

From: "DRAGE, Keith \(Keith\)" <[email-masked]>
Date: Tue, 18 Sep 2007 20:41:23 +0200

(As WG co-chair)

You may remember that some time ago some work was identified that
crossed multiple working groups in the RAI area on the above subject.
Cullen took this ball away and played with it in a RAI BOF and there
came to some consensus on the way forward and what documentation was
required.

However we now need to put that work through real working groups to get
it to IESG so we are reallocating it to working groups.

I have requested milestones as follows:

Sep 2007	Requirements for media keying to WGLC (Informational)
Nov 2007	Requirements for media keying to IESG (Informational)

This will be WG milestones in support of progressing
http://www.ietf.org/internet-drafts/draft-wing-media-security-requiremen
ts-04.txt
And incorporating
draft-wing-rtpsec-keying-eval

This charter item will essentially be a discussion of how we got where
we are now. It is therefore not the most earthshattering document, but
it has been considered valuable to retain some permanent record and an
informational RFC is the way to do this.

Dec 2007	Establishment of secure media sessions using DTLS-SRTP
to WGLC (PS)
Feb 2008	Establishment of secure media sessions using DTLS-SRTP
to IESG (PS)

This will be WG milestones in support of progressing
http://www.ietf.org/internet-drafts/draft-fischl-sipping-media-dtls-03.t
xt

This charter item goes to SIP because it is security related, rather
than to SIPPING. This is one deliverable out of a package of 3, the
other two being:

http://www.ietf.org/internet-drafts/draft-ietf-avt-dtls-srtp-00.txt
http://www.ietf.org/internet-drafts/draft-fischl-mmusic-sdp-dtls-03.txt

Which will be handled by AVT and MMUSIC respectively.

What do you need to do as SIP WG members
----------------------------------------

Provide consensus or not to move these drafts forward.

Do you agree with the identified author drafts above forming the basis
of these charter items listed above? If not please express your
objections to the list, with appropriate technical considerations.
Indications of support are appropriate as well, particularly if you have
a technical point you wish to make (alternatively address the WG chairs
with just "Yes I support").

Responses please within a calendar week, i.e. by Tuesday 25th September
2007, unless there is a feeling that more time and discussion are
needed.

Regards

Keith

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: "Francois Audet" <[email-masked]>
Date: Thu, 20 Sep 2007 11:21:27 -0500

Yes, I support the plan. 

> -----Original Message-----
> From: DRAGE, Keith (Keith) [mailto:[email-masked]] 
> Sent: Tuesday, September 18, 2007 11:41
> To: [email-masked]
> Subject: [Sip] DTLS-SRTP - more work for the SIP group
> 
> (As WG co-chair)
> 
> You may remember that some time ago some work was identified 
> that crossed multiple working groups in the RAI area on the 
> above subject.
> Cullen took this ball away and played with it in a RAI BOF 
> and there came to some consensus on the way forward and what 
> documentation was required.
> 
> However we now need to put that work through real working 
> groups to get it to IESG so we are reallocating it to working groups.
> 
> This charter item will essentially be a discussion of how we 
> got where we are now. It is therefore not the most 
> earthshattering document, but it has been considered valuable 
> to retain some permanent record and an informational RFC is 
> the way to do this.
> 
> This charter item goes to SIP because it is security related, 
> rather than to SIPPING. This is one deliverable out of a 
> package of 3, the other two being:
> 
> Do you agree with the identified author drafts above forming 
> the basis of these charter items listed above? If not please 
> express your objections to the list, with appropriate 
> technical considerations.
> Indications of support are appropriate as well, particularly 
> if you have a technical point you wish to make (alternatively 
> address the WG chairs with just "Yes I support").
> 
> Responses please within a calendar week, i.e. by Tuesday 25th 
> September 2007, unless there is a feeling that more time and 
> discussion are needed.
> 
> 
> Regards
> 
> Keith
> 
> 
> 
> This list is for NEW development of the core SIP Protocol Use 
> [email-masked] for questions on current sip

---

From: "Dan Wing" <[email-masked]>
Date: Thu, 20 Sep 2007 11:25:00 -0700

I support this plan.  

To that end, the authors of draft-wing-media-security-requirements and
draft-wing-rtpsec-keying-eval have combined the documents into one document,
and added Brian Stucker as another co-author of this joint document,

http://www.ietf.org/internet-drafts/draft-wing-media-security-requirements-05.
txt
  "Requirements and Analysis of Media Security Key Management Protocols"

   Abstract:
   A number of proposals have been published to address the need of
   securing media traffic.  A summary of the proposals available at that
   time is available in the appendix of this document.  Different
   assumptions, requirements, and usage environments justify every one
   of them.  This document aims to summarize the discussed media
   security requirements.  A comparison of the requirements against the
   individual proposals is provided.

-d

> Sent: Tuesday, September 18, 2007 11:41 AM
> To: [email-masked]
> groups to get
> if you have
> September

---

From: Hannes Tschofenig <[email-masked]>
Date: Thu, 20 Sep 2007 20:42:30 +0200

Good plan.

Great to see some progress. Thanks to you and Cullen.

---

From: "Fries, Steffen" <[email-masked]>
Date: Fri, 21 Sep 2007 08:59:22 +0200

Good to see the way forward, we need to get the requiremens fixed before
fixing the solution.

Steffen  

> Sent: Tuesday, September 18, 2007 8:41 PM
> To: [email-masked]